#Server configuration
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.profiles.active=docker
server.servlet.context-path=/SpringMVC
server.port=8089
### DATABASE ###
spring.datasource.url=jdbc:mysql://mysqldb:3306/pfeprojecttest?createDatabaseIfNotExist=true&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=root
### JPA / HIBERNATE ###


spring.jpa.show-sql=true
#spring.jpa.generate-ddl=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect

#logging configuration
logging.level.com.zaxxer.hikari=INFO
logging.level.org.springframework=INFO
logging.level.root=INFO
logging.pattern.console=%d{yyyy-MM-dd HH:mm:ss} - %-5level - %logger{60} - %msg%n